Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::PictureRGBA8 Class Reference

RGBA8ビットピクチャ. More...

`#include <PictureRGBA8.h>`

Inheritance diagram for Lamp::PictureRGBA8:

List of all members.

## Public Member Functions
virtual bool | isPictureRGBA8 () const
| RGBA8ビットピクチャかどうか.
virtual Picture * | copy () const
| コピー
virtual PictureRGBA8 * | copyPictureRGBA8 () const
| RGBA8ビットピクチャのコピー.
virtual bool | initializeGraphicsDeviceObjects ()
| デバイスオブジェクトの初期化
virtual void | deleteGraphicsDeviceObjects ()
| デバイスオブジェクトの削除
virtual void | setSize (const DimensionI &size)
| サイズの設定
virtual Color4c * | getImageBuffer ()
| イメージバッファの取得
virtual void | setImage (const Color4c *image)
| イメージの設定
virtual const Color4c * | getImage () const
| イメージの取得
## Protected Member Functions
| PictureRGBA8 (const String &name, Scene *scene)
| コンストラクタ
virtual | ~PictureRGBA8 ()
| デストラクタ
virtual Direct3DTexture * | getD3DTexture ()
| D3Dテクスチャの取得.
virtual bool | compile ()
| コンパイル
virtual bool | compileImage (const Color4c *image, const DimensionI &size, int mipmapLevel)
| イメージのコンパイル
virtual bool | compileMipmap (const Color4c *image, const DimensionI &size, int mipmapLevel)
| ミップマップのコンパイル
## Friends
class | PictureManager

## Detailed Description

RGBA8ビットピクチャ.

Definition at line 36 of file PictureRGBA8.h.

## Constructor & Destructor Documentation

Lamp::PictureRGBA8::PictureRGBA8 | ( | const String & | name,
|  | Scene * | scene
| ) | `[protected]`

  | コンストラクタ Parameters:
  name | 名前
  scene | シーン
Definition at line 36 of file PictureRGBA8.cpp. References NULL.

## Member Function Documentation

bool Lamp::PictureRGBA8::compile | ( |  | ) | `[protected, virtual]`

| コンパイル Returns: 成功すればtrueを返す Definition at line 65 of file PictureRGBA8.cpp. References compileMipmap(), ErrorOut, getImage(), Lamp::Picture::getSize(), Lamp::DimensionI::height, NULL, SafeRelease, and Lamp::DimensionI::width. Referenced by getD3DTexture(), and initializeGraphicsDeviceObjects().

virtual Picture* Lamp::PictureRGBA8::copy | ( |  | ) | const`[inline, virtual]`

| コピー Returns: コピーされたピクチャ Implements Lamp::Picture. Definition at line 50 of file PictureRGBA8.h. References copyPictureRGBA8().

PictureRGBA8 * Lamp::PictureRGBA8::copyPictureRGBA8 | ( |  | ) | const`[virtual]`

| RGBA8ビットピクチャのコピー. Returns: コピーされたピクチャ Definition at line 47 of file PictureRGBA8.cpp. References Lamp::SceneObject::copyPicture, Lamp::Picture::copyPictureValue(), Lamp::PictureManager::createPictureRGBA8(), getImage(), Lamp::Scene::getPictureManager(), Lamp::SceneObject::name_, Lamp::SceneObjectManagerTemplate< Picture >::rename(), Lamp::SceneObject::scene_, and setImage(). Referenced by copy().

Direct3DTexture * Lamp::PictureRGBA8::getD3DTexture | ( |  | ) | `[protected, virtual]`

| D3Dテクスチャの取得. Returns: D3Dテクスチャの取得 Implements Lamp::Picture. Definition at line 57 of file PictureRGBA8.cpp. References compile(), Direct3DTexture, and NULL.

virtual const Color4c* Lamp::PictureRGBA8::getImage | ( |  | ) | const`[inline, virtual]`

| イメージの取得 Returns: イメージ Definition at line 94 of file PictureRGBA8.h. Referenced by compile(), copyPictureRGBA8(), Lamp::TextSceneSaver::writePicture(), and Lamp::BinarySceneSaver::writePicture().

virtual Color4c* Lamp::PictureRGBA8::getImageBuffer | ( |  | ) | `[inline, virtual]`

| イメージバッファの取得 Returns: イメージバッファ Definition at line 81 of file PictureRGBA8.h. Referenced by Lamp::TextSceneLoader::readPictureRGBA8(), and Lamp::BinarySceneLoader::readPictureRGBA8().

virtual bool Lamp::PictureRGBA8::initializeGraphicsDeviceObjects | ( |  | ) | `[inline, virtual]`

| デバイスオブジェクトの初期化 Returns: 成功したらtrueを返す Reimplemented from Lamp::Picture. Definition at line 63 of file PictureRGBA8.h. References compile().

virtual bool Lamp::PictureRGBA8::isPictureRGBA8 | ( |  | ) | const`[inline, virtual]`

| RGBA8ビットピクチャかどうか. Returns: RGBA8ビットピクチャならtrue Reimplemented from Lamp::Picture. Definition at line 43 of file PictureRGBA8.h.

void Lamp::PictureRGBA8::setImage | ( | const Color4c * | image | ) | `[virtual]`

  | イメージの設定 Parameters:
  image | 設定するイメージ
Definition at line 131 of file PictureRGBA8.cpp. References Assert, Lamp::Picture::getSize(), Lamp::DimensionI::height, Lamp::Picture::stateChanged(), and Lamp::DimensionI::width. Referenced by copyPictureRGBA8().

void Lamp::PictureRGBA8::setSize | ( | const DimensionI & | size | ) | `[virtual]`

  | サイズの設定 Parameters:
  size | サイズ
Reimplemented from Lamp::Picture. Definition at line 120 of file PictureRGBA8.cpp. References Assert, Lamp::DimensionI::height, SafeArrayDelete, Lamp::Picture::stateChanged(), and Lamp::DimensionI::width. Referenced by Lamp::TextSceneLoader::readPictureRGBA8(), and Lamp::BinarySceneLoader::readPictureRGBA8().

The documentation for this class was generated from the following files:

- PictureRGBA8.h
- PictureRGBA8.cpp